from parallels.common.global_context import GlobalMigrationContext


class ExpandGlobalMigrationContext(GlobalMigrationContext):
	"""
	:type session_files: parallels.expand_migrator.session_files.ExpandSessionFiles
	:type conn: parallels.expand_migrator.connections.ExpandMigratorConnections
	:type expand_data: parallels.expand_migrator.expand_data.model.Model
	"""
	def __init__(self):
		super(ExpandGlobalMigrationContext, self).__init__()
		self.conn = None
		self.session_files = None
		self.expand_data = None
